Subject: Re: 0 bot for Git

From: Matthieu Moy <[email-masked]>
Date: Tue, 12 Apr 2016 09:23:32 +0200

Stefan Beller <[email-masked]> writes:

> Hi Greg,
>
> Thanks for your talk at the Git Merge 2016!
> The Git community uses the same workflow as the kernel. So we may be
> interested in the 0 bot which could compile and test each patch on the list.

In the case of Git, we already have Travis-CI that can do rather
thorough testing automatically (run the complete testsuite on a clean
machine for several configurations). You get the benefit from it only if
you use GitHub pull-requests today. It would be interesting to have a
bot watch the list, apply patches and push to a travis-enabled fork of
git.git on GitHub to get the same benefit when posting emails directly
to the list.

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/